Package org.apache.sysds.runtime.compress.estim

# Class CompressedSizeInfoColGroup

java.lang.Object
org.apache.sysds.runtime.compress.estim.CompressedSizeInfoColGroup

public class CompressedSizeInfoColGroup extends Object
Information collected about a specific ColGroup's compression size.

## Constructor Summary

Constructors
Constructor
Description
`CompressedSizeInfoColGroup(IColIndex cols, int nVal, int nRow, AColGroup.CompressionType bestCompressionType)`
`CompressedSizeInfoColGroup(IColIndex columns, int nRows, AColGroup.CompressionType ct)`
Create empty or const.
`CompressedSizeInfoColGroup(IColIndex cols, EstimationFactors facts, long minSize, AColGroup.CompressionType bestCompressionType)`
`CompressedSizeInfoColGroup(IColIndex columns, EstimationFactors facts, long minSize, AColGroup.CompressionType bestCompression, IEncode map)`
`CompressedSizeInfoColGroup(IColIndex columns, EstimationFactors facts, Set<AColGroup.CompressionType> validCompressionTypes, IEncode map)`
`CompressedSizeInfoColGroup(IColIndex cols, EstimationFactors facts, AColGroup.CompressionType bestCompressionType)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearMap()`
`boolean`
`containsZeros()`
`Map<AColGroup.CompressionType,Double>`
`getAllCompressionSizes()`
`AColGroup.CompressionType`
`getBestCompressionType()`
`AColGroup.CompressionType`
`getBestCompressionType(CompressionSettings cs)`
`IColIndex`
`getColumns()`
`double`
`getCompressionSize(AColGroup.CompressionType ct)`
`EstimationFactors`
`getFacts()`
`int`
`getLargestOffInstances()`
`IEncode`
`getMap()`
`double`
`getMinSize()`
`double`
`getMostCommonFraction()`
`int`
`getNumOffs()`
Number of offsets, or number of non zero values.
`int`
`getNumRows()`
`int`
`getNumVals()`
Note cardinality is the same as number of distinct values.
`double`
`getTupleSparsity()`
`boolean`
`isConst()`
`boolean`
`isEmpty()`
`boolean`
`isIncompressable()`
`void`
`setMap(IEncode map)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CompressedSizeInfoColGroup

public CompressedSizeInfoColGroup(IColIndex cols, int nVal, int nRow, AColGroup.CompressionType bestCompressionType)

### CompressedSizeInfoColGroup

public CompressedSizeInfoColGroup(IColIndex cols, EstimationFactors facts, AColGroup.CompressionType bestCompressionType)

### CompressedSizeInfoColGroup

public CompressedSizeInfoColGroup(IColIndex cols, EstimationFactors facts, long minSize, AColGroup.CompressionType bestCompressionType)

### CompressedSizeInfoColGroup

public CompressedSizeInfoColGroup(IColIndex columns, EstimationFactors facts, long minSize, AColGroup.CompressionType bestCompression, IEncode map)

### CompressedSizeInfoColGroup

public CompressedSizeInfoColGroup(IColIndex columns, EstimationFactors facts, Set<AColGroup.CompressionType> validCompressionTypes, IEncode map)

### CompressedSizeInfoColGroup

public CompressedSizeInfoColGroup(IColIndex columns, int nRows, AColGroup.CompressionType ct)
Create empty or const.

Parameters:
  `columns` - columns
  `nRows` - number of rows
  `ct` - The type intended either Empty or Const

## Method Details

### getCompressionSize

public double getCompressionSize(AColGroup.CompressionType ct)

### getBestCompressionType

public AColGroup.CompressionType getBestCompressionType(CompressionSettings cs)

### getBestCompressionType

public AColGroup.CompressionType getBestCompressionType()

### getAllCompressionSizes

public Map<AColGroup.CompressionType,Double> getAllCompressionSizes()

### getMinSize

public double getMinSize()

### getNumVals

public int getNumVals()
Note cardinality is the same as number of distinct values.

Returns:
  cardinality or number of distinct values.

### getNumOffs

public int getNumOffs()
Number of offsets, or number of non zero values.

Returns:
  Number of non zeros or number of values.

### getColumns

public IColIndex getColumns()

### getNumRows

public int getNumRows()

### getMostCommonFraction

public double getMostCommonFraction()

### getLargestOffInstances

public int getLargestOffInstances()

### getTupleSparsity

public double getTupleSparsity()

### getFacts

public EstimationFactors getFacts()

### getMap

public IEncode getMap()

### setMap

public void setMap(IEncode map)

### containsZeros

public boolean containsZeros()

### isEmpty

public boolean isEmpty()

### isConst

public boolean isConst()

### isIncompressable

public boolean isIncompressable()

### clearMap

public void clearMap()

### toString

public String toString()

Overrides:
  `toString` in class `Object`